# Workbench Advanced (WBA)

Workbench Advanced can be used as either a replacement or an addition to the Workbench web applications that come bundled with the [Arvados](https://arvados.org) environment.

## Differentiating Factors

WBA wouldn't make much sense if it wasn't different from the existing tools in several key aspects. In no particular order those differentiating factors are:

- Speed: At every stage of the development, performance was in the center of my attention. A premium user experience calls for responsiveness, progress feedback whenever possible and moving computations outside of the main browser thread in order to never EVER block the GUI. WBA checks all these boxes and contains numerous other optimizations in the way it talks to the Arvados API server in order to make your experience as instantaneous as possible.
- Huge Collections Support: WBA effortlessly supports collections with millions of files and hundreds of terabytes of data. Thanks to the optimized manifest parser and paginated listing display, it doesn't suffer from the performance problems you might have encountered in WB1 or WB2.
- Volume Browser Support: WBA incorporates [Papaya](http://ric.uthscsa.edu/mango/papaya.html) volumetric data browser for Nifti files (and hopefully DICOM in the future).
- Support for arrays of files, directories or a mix of both in the Workflow configuration interface (browse dialog).
- Ability to automatically start processes in a sub-project where they are further organized by date (day of launch). This allows to avoid all the clutter that usually accumulates in the Home directory.
- Pure client-side application: WBA is a single-page application (SPA) written in JavaScript and runs entirely in your web browser.
- Support for arbitrary API servers: You can just type the URL of your Arvados API server and connect to it from a single deployment of WBA. No need to deploy multiple times for different Arvados installations. In fact, you can just use the version deployed here, at ADARED.

## Try it out

Workbench Advanced is always available at the following address: [https://wba.adared.ch](https://wba.adared.ch). You don't need to install anything to use it. All communications happen directly between your web browser and you Arvados API server.

## License

WBA is distributed under the GNU Affero General Public License, Version 3. If you require a commercial license, please contact s dot adaszewski at gmail dot com.

## Screenshots

<table>
  <tr>
    <td><img alt="Project Browser" src="docs/screenshot_0001.png" width="300"/></td>
    <td><img alt="Collection Properties" src="docs/screenshot_0002.png" width="300"/></td>
  </tr>
  <tr>
    <td><img alt="Collection Browser" src="docs/screenshot_0003.png" width="300"/></td>
    <td><img alt="Workflow Launcher" src="docs/screenshot_0004.png" width="300"/></td>
  </tr>
</table>
