//
// Copyright (C) Stanislaw Adaszewski, 2020
// Contact: s.adaszewski@gmail.com
// Website: https://adared.ch/wba
// License: GNU Affero General Public License, Version 3
//

import arvadosTypeName from 'arvados-type-name';

function arvadosObjectName(item) {
  let typeName = arvadosTypeName(item['uuid']);
  if (typeName === 'user')
    return (item.first_name + ' ' + item.last_name);
  else if (typeName === 'container')
    return ('Container running image ' + item.container_image);
  else
    return item.name;
}

export default arvadosObjectName;
