//
// Copyright (C) Stanislaw Adaszewski, 2020
// Contact: s.adaszewski@gmail.com
// Website: https://adared.ch/wba
// License: GNU Affero General Public License, Version 3
//

import makeArvadosRequest from 'make-arvados-request';
import arvadosTypeName from 'arvados-type-name';

function wbDeleteObject(arvHost, arvToken, uuid) {
  const typeName = arvadosTypeName(uuid);
  return makeArvadosRequest(arvHost, arvToken,
    '/arvados/v1/' + typeName + 's/' +
    uuid, { 'method': 'DELETE' });
}

export default wbDeleteObject;
