//
// Copyright (C) Stanislaw Adaszewski, 2020
// Contact: s.adaszewski@gmail.com
// Website: https://adared.ch/wba
// License: GNU Affero General Public License, Version 3
//

import makeArvadosRequest from 'make-arvados-request';
import arvadosTypeName from 'arvados-type-name';

function wbUpdateField(arvHost, arvToken, uuid, fieldName, fieldValue) {
  const typeName = arvadosTypeName(uuid);
  const data = {};
  data[fieldName] = fieldValue;
  const prom = makeArvadosRequest(arvHost, arvToken,
    '/arvados/v1/' + typeName + 's/' + uuid, {
      method: 'PUT',
      data: JSON.stringify(data)
    });
  return prom;
}

export default wbUpdateField;
