//
// Copyright (C) Stanislaw Adaszewski, 2020
// Contact: s.adaszewski@gmail.com
// Website: https://adared.ch/wba
// License: GNU Affero General Public License, Version 3
//

import { h, Component } from 'preact';

class WBInlineSearch extends Component {
  render({ textSearch, navigate }) {
    return (
      <div class="form-inline my-2 my-lg-0">
        <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search"
          value={ textSearch } onchange={ navigate ? (e => navigate(e.target.value)) : null } />
        <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
      </div>
    );
  }
}

export default WBInlineSearch;
