//
// Copyright (C) Stanislaw Adaszewski, 2020
// Contact: s.adaszewski@gmail.com
// Website: https://adared.ch/wba
// License: GNU Affero General Public License, Version 3
//

import { h, Component } from 'preact';
import WBNavbar from 'wb-navbar';
import WBInlineSearch from 'wb-inline-search';

class WBNavbarCommon extends Component {
  render({ app, items, activeItem, textSearch, textSearchNavigate }) {
    return (
      <WBNavbar
        items={ [
          { 'name': 'Home', 'id': 'home' },
          { 'name': 'All Projects', 'id': 'all-projects' },
          { 'name': 'All Users', 'id': 'all-users' },
          { 'name': 'Shared with Me', 'id': 'shared-with-me' },
          { 'name': 'Current User', 'dropdown': [ { 'id': 'sign-out', 'name': 'Sign Out' } ]},
          { name: (<span>What's New <sup><span class="badge badge-info">Info</span></sup></span>), id: 'whatsnew' }
        ].concat(items) }
        rhs={ textSearchNavigate ? (
          <WBInlineSearch textSearch={ textSearch } navigate={ textSearchNavigate } />
        ) : null }
        titleUrl = { '/browse/' + app.state.currentUser.uuid }
        getItemUrl={ item => app.navbarItemUrl(item) }
        activeItem={ activeItem } />
    );
  }
}

WBNavbarCommon.defaultProps = {
  'items': []
};

export default WBNavbarCommon;
