//
// Copyright (C) Stanislaw Adaszewski, 2020
// Contact: s.adaszewski@gmail.com
// Website: https://adared.ch/wba
// License: GNU Affero General Public License, Version 3
//

import { h, Component } from 'preact';
import WBNavbarCommon from 'wb-navbar-common';
import WBArvadosCrumbs from 'wb-arvados-crumbs';
import WBCollectionContent from 'wb-collection-content';

class WBCollectionBrowse extends Component {
  render({ app, uuid, collectionPath, page }, {}) {
    return (
      <div>
        <WBNavbarCommon app={ app } />

        <WBArvadosCrumbs app={ app } uuid={ uuid } />

        <div class="my-2">
          This is the collection browser for { uuid }
        </div>

        <WBCollectionContent app={ app } uuid={ uuid }
          collectionPath={ collectionPath } page={ Number(page || 0) } />
      </div>
    );
  }
}

export default WBCollectionBrowse;
